Bug 58052 - After changing a networking interface configuration from DHCP to static, both IP addresses: the old one and the new one, keep working
After changing a networking interface configuration from DHCP to static, both...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: dhcpcd (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-07 07:39 EST by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-07 07:39:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-01-07 07:39:45 EST
Description of Problem:

I detected a rare problem when using DHCP network configuration on Red Hat
7.2 kernel 2.4.9-13 with dhcpcd client. After changing a networking
interface configuration from DHCP to static, both IP addresses: the old one
and the new one, keep working, but ifconfig only shows the old
configuration. 

Version-Release number of selected component (if applicable):

I 'm not sure who that bug belong. I running a normal system with dhcpcd
8.3.18pl8 release 13

How Reproducible:
On Red Hat Linux 7.2 environment without or with updates made (up to Dec
24, including the kernel package). 

Steps to Reproduce:
1. Configure an eth0 interface to use DHCP service (with netconfig tool)
(dhcpcd is the default client on 7.2)

2. Change the configuration from dhcp to static using netconfig, assigning
valid information on every field. At this point I verified that the
network-script file ifcfg-eth0 was changed properly.

3. Restart the network interface.
  # service network restart

4. Now, after typing "ifconfig" I can see that the interface's IP address
is the same that the DHCP server gave before the change to static conf.

5.  Worse: When I ping the interface, both IP addresses, the static and the
dynamic one, respond!! Connections to both can be established too.

6. After looking to the proccesses list I can see that the dhcpcd daemon is
still running. When killed it (using kill or using the "-k" dhcpcd option)
the problem continued.

7.Change the configuration again, from static to dynamic, and the problem
persist: both IP address functions OK and ifconfig shows DHCP address only.

8.After a reboot everything started functioning OK (with the static IP
address).

Actual Results:


Expected Results:


Additional Information:
Comment 1 Elliot Lee 2002-04-15 10:42:05 EDT
It's not worth massive initscripts reengineering to handle an extremely unlikely
use case. Suggest continuing to kill dhcpcd manually.

Note You need to log in before you can comment on or make changes to this bug.